<?php get_header()?>
<div id="main">
<div id="content">
<!-- google_ad_section_start -->
<?php if (have_posts()) { ?>

<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
<h1><?php echo single_cat_title(); ?></h1>
<div class="post-info"><?php _e('Category Archive'); ?></div>

<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
<h1><?php bloginfo('name'); ?> <?php _e('Archive for '); the_time('F jS, Y'); ?></h1>
<div class="post-info"><?php _e('Daily Archive'); ?></div>

<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
<h1><?php bloginfo('name'); ?> <?php _e('Archive for '); the_time('F, Y'); ?></h1>
<div class="post-info"><?php _e('Monthly Archive'); ?></div>

<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
<h1><?php bloginfo('name'); ?> <?php _e('Archive for '); the_time('Y'); ?></h1>
<div class="post-info"><?php _e('Yearly Archive'); ?></div>

<?php /* If this is a search */ } elseif (is_search()) { ?>
<h1><?php the_search_query(); ?></h1>

<?php /* If this is an author archive */ } elseif (is_author()) { ?>
<h1><?php _e('Author Archive'); ?></h1>

<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<h1><?php bloginfo('name'); ?> <?php _e('Archives'); ?></h1>

<?php } elseif ( function_exists('is_tag')) if (is_tag()) { ?>
<h1><?php echo single_tag_title(); ?></h1>
<?php } ?>

<?php while (have_posts()) { the_post(); ?>

<div class="post">

<p class="post-date"><?php the_time('D j M Y'); ?></p>
<div class="post-info">
<h2 class="post-title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
<p><?php _e('Posted by '); ?><?php the_author(); ?><?php _e(' under '); ?><?php the_category(', '); ?><?php edit_post_link(' (edit this)'); ?>
<br/>
<?php comments_popup_link('No Comments', '1 Comment', '[%] Comments'); ?></p>
</div>
<div class="post-content">
<?php /* AdSense Code Start */ ?><?php if ($wp_query->current_post == 0) include("first-ad.php"); ?><?php /* AdSense Code End */ ?>
<?php /* Post Teaser Addon Fix */ ?><?php if (function_exists('post_teaser22')) : ?><?php the_content(); ?>
<?php else : ?><?php the_excerpt(','); ?><p>Continue Reading <a href="<?php the_permalink() ?>"><?php the_title(); ?></a></p><?php endif; ?><?php /* Post Teaser Addon Fix */ ?>

<div class="post-footer">&nbsp;</div>

</div>
</div>

<?php } } else { ?>
<h2 class="center">Not Found</h2>
<p class="center"><?php _e("Sorry, but you are looking for something that isn't here."); ?></p>
<?php } ?>

<!-- google_ad_section_end -->

<?php /* AdSense Code Start */ ?><div style="text-align:center; padding-bottom:20px; padding-top:20px;">
<?php InsertAdvert($MonthBottom);?>
</div><?php /* AdSense Code End */ ?>

<?php /* wp_pagenavi Code */ ?>
<?php if(function_exists('wp_pagenavi')): ?>
<div class="post-navs">
<?php wp_pagenavi(); ?>
</div>
<?php else : ?>
<div class="navigation">
<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
<div class="clear"></div>
</div>
<?php endif; ?>
<?php /* wp_pagenavi Code */ ?>

</div>

<div id="sidebar">
<?php get_sidebar(); ?>
</div>

<?php  get_footer();?>